QGIS fails to add an Esri File Geodatabase (FileGDB) vector layer with "Unknown WKB" (but well 

known) geometry type

2018-01-17 04:27 PM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.14.21 Regression?: No

Operating System: Windows 7 SP1 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25772

Description

With QGIS 2.14.21 (code revision ea983fa869), GDAL/OGR 2.2.3, gdal-filegdb 2.2.3-2, on Windows 7 SP1 64 bit,

and sample File Geodatabase https://trac.osgeo.org/gdal/attachment/wiki/FileGDB/test_fgdb.gdb.zip attached to 

https://trac.osgeo.org/gdal/wiki/FileGDB

QGIS fails to add the geometry layers in the above sample FileGDB, either selecting "ESRI FileGDB" or "OpenFileGDB" as source type,

with the following errors:

Invalid Data Source: C:\TMP\test_fgdb.gdb|layername=test_lines:2 is not a valid or recognized data source

Invalid Data Source: C:\TMP\test_fgdb.gdb|layername=more_test_lines:2 is not a valid or recognized data source

Invalid Data Source: C:\TMP\test_fgdb.gdb|layername=test_points:2 is not a valid or recognized data source

Invalid Data Source: C:\TMP\test_fgdb.gdb|layername=test_areas:2 is not a valid or recognized data source

The "Select vector layers to add..." window reports "Unknown WKB" in the "Number of features" column and the numbers 3001, 3005,

3006 respectively for point, line and polygon geometry type layers.

ogrinfo correctly handle the above sample FileGDB and reports (either with driver "FileGDB" or "OpenFileGDB" enabled):

C:\TMP>ogrinfo test_fgdb.gdb

INFO: Open of `test_fgdb.gdb'

1: basetable_2 (None)

2: basetable (None)

3: base_table1 (None)

4: test_lines (3D Measured Multi Line String)

5: more_test_lines (3D Measured Multi Line String)

6: test_points (3D Measured Point)

7: test_areas (3D Measured Multi Polygon)

As reported, for example, at https://www.ibm.com/support/knowledgecenter/en/SSGU8G_12.1.0/com.ibm.spatial.doc/ids_spat_285.htm

the above mentioned geometry type numbers match as follow in wkbGeometryType const:

wkbPointZM                = 3001

wkbMultiLineStringZM      = 3005

wkbMultiPolygonZM         = 3006

but it seems they are not recognized by QGIS.
History

#1 - 2018-01-17 05:08 PM - Andrea Giudiceandrea

- File FileGDB_1.8.0.PNG added

I can open without errors the sample FileGDB with the previous versions:

- QGIS 1.8.0, GDAL/OGR 1.9.2, gdal-filegdb-1.8.0-1

- QGIS 1.9.0, GDAL/OGR 1.9.2, gdal-filegdb-1.9.2-2

and the geometry types are recognized as Point25D, MultiLineString25D and MultiPolygon25D respectively.

So I think it seem a regression.

#2 - 2018-01-17 06:16 PM - Giovanni Manghi

- Status changed from Open to Feedback

Tested on 2.18.15 on Linux and Win10, with both the open and the closed driver: no problem whatsoever.

#3 - 2018-01-21 09:51 AM - Andrea Giudiceandrea

The bug is also present in current version 2.14.22.

#4 - 2018-02-23 04:04 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Please try with a more recent version as now (that QGIS 3 is out) QGIS 2.14 is officially obsolete. With more recent versions (2.18 and 3) the issue is not

replicable.

Reopen if necessary.

Files

UnknownWKB.PNG 4.14 KB 2018-01-17 Andrea Giudiceandrea

FileGDB_1.8.0.PNG 3.44 KB 2018-01-17 Andrea Giudiceandrea
